"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const CurlyBraces = require("../tokens/curly_braces");
function emit(writer, bodyEmitter) {
    emitOpen(writer);
    bodyEmitter(writer);
    emitClose(writer);
}
exports.emit = emit;
function emitOpen(writer) {
    writer
        .writeLine(CurlyBraces.open)
        .indent();
}
function emitClose(writer) {
    writer
        .unindent()
        .writeLine(CurlyBraces.close);
}
